DNF5-REPOSYNC(8)

NUME
dnf5-reposync - comanda «reposync»

SINOPSIS

dnf5 [GLOBAL OPȚIUNI] reposync [OPȚIUNI]

DESCRIERE

Comanda reposync creează copii locale ale depozitelor de la distanță. Aceasta evită re-descărcarea pachetelor care sunt deja prezente în directorul local.

În mod implicit, reposync sincronizează toate depozitele activate. Cu toate acestea, puteți personaliza setul de depozite care urmează să fie sincronizate utilizând opțiunile standard DNF5, cum ar fi --repo, --enable-repo sau --disable-repo.

OPȚIUNI

    --arch=<arhitectura>, -a <arhitectura>
        Descarcă numai pachete pentru arhitectura specificată. Această opțiune poate fi specificată de mai multe ori. Comportamentul implicit este de a descărca pachete pentru toate arhitecturile.

    --delete
        Elimină pachetele locale care nu mai sunt prezente în depozitul de la distanță.

    --destdir=<ruta>
        Specifică ruta rădăcină în care sunt stocate depozitele descărcate, în raport cu directorul de lucru curent. Valoarea implicită este directorul curent de lucru. Fiecare depozit descărcat va avea un subdirector numit după ID-ul său în această rută.

    --download-metadata
        Descarcă toate metadatele depozitului. Copia descărcată este imediat utilizabilă ca depozit fără a fi nevoie să executați createrepo_c. Atunci când este utilizată cu --newest-only, sunt descărcate doar cele mai recente versiuni de pachete. Cu toate acestea, metadatele vor face în continuare referire și la pachetele mai vechi. Pentru a evita problemele cauzate de fișierele RPM lipsă, luați în considerare actualizarea metadatelor utilizând createrepo_c --update. În caz contrar, DNF va întâmpina erori atunci când va încerca să instaleze pachete mai vechi.

    --gpgcheck, -g
        Elimină pachetele care nu au trecut de verificarea semnăturii OpenPGP după descărcare. Comanda iese cu un cod 1 dacă cel puțin un pachet este eliminat.

        Notă: Pentru depozitele configurate cu gpgcheck=0, semnăturile OpenPGP nu sunt verificate, chiar și atunci când este utilizată această opțiune.

    --metadata-path=<ruta>
        Specifică ruta rădăcină în care sunt stocate fișierele de metadate descărcate. Dacă nu este specificată, valoarea implicită este --destdir

    --newest-only, -n
        Descarcă doar cele mai recente versiuni ale pachetelor din fiecare depozit.

    --norepopath
        Împiedică adăugarea id-ului depozitului la ruta de descărcare. Această opțiune poate fi utilizată numai la sincronizarea unui singur depozit; (comportamentul implicit adaugă id-ul depozitului la rută).

    --remote-time
        Încearcă să definească marcajele de timp ale fișierelor locale descărcate pentru a se potrivi cu cele de la distanță.

    --safe-write-path=<ruta>
        Definește prefixul rutei sistemului de fișiere în care reposync are permisiunea de a scrie fișiere. Dacă nu este specificat, acesta are ca valoare implicită ruta de descărcare a depozitului. Această opțiune este utilă pentru depozitele care utilizează locații relative ale pachetelor care conduc în afara directorului depozitului (de exemplu, ../packages_store/foo.rpm).

        Atenție: Orice fișier aflat sub safe-write-path poate fi suprascris. Această opțiune poate fi utilizată numai la sincronizarea unui singur depozit.

    --srpm
        Descarcă pachetele sursă. Echivalent cu utilizarea --arch=src.

    --urls, -u
        Afișează adresele URL ale fișierelor care ar fi descărcate fără a le descărca efectiv.

EXEMPLE

    dnf reposync --repoid=depozitul
        Sincronizează toate pachetele din depozitul cu id-ul depozitul. Copia sincronizată este salvată în subdirectorul depozitul din directorul curent de lucru.

    dnf reposync --destdir=/ruta/mea/la/depozite --repoid=depozitul
        Sincronizează toate pachetele din depozitul cu id-ul depozitul. În acest caz, fișierele sunt salvate în directorul /ruta/mea/la/depozite.

    dnf reposync --repoid=depozitul --download-metadata
        Sincronizează toate pachetele și metadatele din depozitul depozitul.

        Depozitul sincronizat cu opțiunea --download-metadata poate fi utilizat direct cu DNF, de exemplu prin utilizarea opțiunii --repofrompath:

        dnf --repofrompath=syncedrepo,depozitul --repoid=lista-syncedrepo --available

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.